/* TEXTBLOCK AND GALLERY */

.l2-media-container-right .swiper-pagination {
    text-align: right !important;
}
.l2-content-media-layout-default-reverse div .swiper-pagination {
    text-align: left !important;
}
.gallery_vertical div.l2-content-media-layout-default {
    flex-direction: column;
    align-items: center;
}
.gallery_vertical div.l2-content-media-layout-default>div.e-child {
    width:100%;
    text-align: center;
}
.gallery_vertical div .swiper-pagination {
    text-align: center !important;
}


/* GALLERY FIX  */

.l2-layout-container.l2-template-gallery .dce-acf-gallery.dce-acf-gallery-masonry {
    margin: 0 -19px !important;
}

.dce-acf-gallery-masonry .acfgallery-item {
    padding: 0 16px !important;
}

@media screen and (max-width:767px) {    
    .dce-acf-gallery-masonry .acfgallery-item {
        width: 100% !important;
        position: relative !important;
        top: 0 !important;
    }

    .l2-layout-container.l2-template-gallery .dce-acf-gallery.dce-acf-gallery-masonry {
        display: flex;
        gap: 32px !important;
        flex-direction: column !important;
    }

    .l2-template-gallery {
        max-width: calc(100vw - 48px) !important;
        overflow: hidden !important;
    }
}



.dce-acf-gallery-masonry figcaption {
    min-height: 16px !important;
    line-height: 1em;
    margin: 0 0 8px 0 !important;
}

.pswp--open .pswp__img--placeholder {
    display: none !important;
}

.pswp:not(.pswp--animated-in)  {
    opacity: 0 !important
}

body .l2-layout-container.l2-template-gallery {
    padding: 0 3px !important;
}


